Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.nodes
Class Index.KeysChildren

    java.lang.Object
      org.openide.nodes.Children
          org.openide.nodes.Children.Array
              org.openide.nodes.Children.Keys
                  org.openide.nodes.Index.KeysChildren

All Implemented Interfaces:
  Cloneable

Enclosing interface:
  Index

    public abstract static class Index.KeysChildren

extends Children.Keys

Implementation of index interface that operates on an list of objects that are presented by given nodes.

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.nodes.Children
`Children.Array, Children.Keys, Children.Map, Children.SortedArray, Children.SortedMap`

Field Summary
`protected List` | `list` list of objects that should be manipulated with this keys

Fields inherited from class org.openide.nodes.Children.Array
`nodes`

Fields inherited from class org.openide.nodes.Children
`LEAF, MUTEX`

Constructor Summary
`Index.KeysChildren(List ar)` Constructor.

Method Summary
`protected Index` | `createIndex()` The method that creates the supporting index for this children object.
`Index` | `getIndex()` Getter for the index that works with this children.
`protected Object` | `lock()` The lock to use when accessing the list.
`protected void` | `reorder(int[] perm)`
`void` | `update()` Update the status of the list if it has changed.

Methods inherited from class org.openide.nodes.Children.Keys
`add, clone, createNodes, destroyNodes, refreshKey, remove, setBefore, setKeys, setKeys`

Methods inherited from class org.openide.nodes.Children.Array
`initCollection, refresh`

Methods inherited from class org.openide.nodes.Children
`addNotify, findChild, getNode, getNodes, getNodes, getNodesCount, isInitialized, nodes, removeNotify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### list

    protected final List list

  list of objects that should be manipulated with this keys

Constructor Detail

### Index.KeysChildren

    public Index.KeysChildren(List ar)

  Constructor.

  Parameters:
    `ar` - the array of any objects

Method Detail

### getIndex

    public Index getIndex()

  Getter for the index that works with this children.

  Returns:
    the index

### createIndex

    protected Index createIndex()

  The method that creates the supporting index for this children object.

### reorder

    protected void reorder(int[] perm)

### lock

    protected Object lock()

  The lock to use when accessing the list. By default this implementation returns the list itself, but can be changed to lock more properly.

  Returns:
    lock to use for accessing the list

### update

    public final void update()

  Update the status of the list if it has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.